<?php
/**
 * 发送短信处理类
 *
 * ============================================================================
 * 版权所有 2017北京素玄科技，并保留所有权利。
 *
 * 网站地址: http://www.suxuantech.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！未经允许的情况下，您不能对本系统代码做任何修改 .
 * 不允许对程序代码以任何形式任何目的的再发布。
 * 如有修改需求，请联系素玄科技有限公司：contact@suxuantech.cn
 * ============================================================================
 * $Author: wzy<wangzhenya@suxuantech.cn> 2017-10-27 $
 */
namespace app\crm\lib;

use think\Controller;
class Sendsms extends controller{
    //检查验证码
    function checkCode($param){
        if(empty(session('code'))){
            $arr = array('code'=>100,'msg'=>'验证码已过期');
        }
        if(!empty($param['code'])){
            if($param['code'] == cookie('code')){
                $arr = array('code'=>200,'msg'=>'验证码正确');
            }
        }
        return json($arr);
    }
    //发送短信
    function sendSms($param){
        //检查手机号存不存在
        $mc = new \app\common\lib\mcInterface();
        $data = $mc->getStaffInfo(array('telephone'=>$param['mobile']));

        if($data === false){
            return json(array('code'=>100,'msg'=>'没有与此手机号对应的员工'));
        }
        $rand = get_rand_string(6,1);
        $url = '5a17b86088f1a';
        $param['content'] = '您此次的验证码为'.$rand.'，如非本人操作忽略此条短信';
        // $param['send_time'] = date('Y-m-d H:i:s',time());
        // $param['shop_code'] = session('shop_code');
        $res = $mc->sendSms($param);
        if($res['code'] == 200){
            session('code',$rand,120);
        }
        return $res;
    }
    //重置密码
    function resetPassword($param){
        if(!empty($param['password']) && !empty($param['telephone'])){
            $mc = new \app\common\lib\mcInterface();
            $data = $mc->resetPassword($param);
        }else{
            $res = json_encode(array('code'=>100,'msg'=>'参数有误'));
        }
        return $res;
    }
}